# PSF-LoginServer - master - net.psforever.actors.session.SessionActor.SquadUIElement
PSF - LoginServer - master - net.psforever.actors.session.SessionActor.SquadUIElement
Keywords: PSF LoginServer master net.psforever.actors.session.SessionActor.SquadUIElement

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package actors
  Definition Classes
    psforever
-  package session
  Definition Classes
    actors
-  object SessionActor
  Definition Classes
    session
- Command
- InstantAction
- Kick
- ProgressEvent
- Quit
- Recall
- ResponseToSelf
- SendResponse
- SetAvatar
- SetConnectionState
- SetFlying
- SetPosition
- SetSilenced
- SetSpectator
- SetSpeed
- SetZone
- SquadUIElement
- Suicide
- UseCooldownRenewed

c

net.psforever.actors.session.SessionActor

# SquadUIElement

###

#### final case class SquadUIElement(name: String, index: Int, zone: Int, health: Int, armor: Int, position: Vector3) extends Product with Serializable

Attributes
  protected
Source
  SessionActor.scala

Linear Supertypes
Serializable, Product, Equals, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SquadUIElement
2. Serializable
3. Product
4. Equals
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new SquadUIElement(name: String, index: Int, zone: Int, health: Int, armor: Int, position: Vector3)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val armor: Int
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  val health: Int
11.  val index: Int
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  val name: String
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  val position: Vector3
18.  def productElementNames: Iterator[String]
    Definition Classes
      Product
19.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
23.  val zone: Int

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped